This URL gets the list of external hosts by reputation.
Resource URL
GET /ntbamonitors/{ntbaId}/topexthostsbyreputation? TopN=<TopN> &timePeriod=<timePeriod>&startTime=<startTime>&endTime=<endTime>
Request Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| NTBA monitor id | Number | Yes |
| Number of top rows, default 50. | Number | No |
| Duration: can be
| String | No |
| Start time in the format: yyyy-MM-dd HH:mm | String | No |
| End time in the format: yyyy-MM-dd HH:mm | String | No |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of hosts | Array |
Details of topHostsOnNetwork:
Field Name | Description | Data Type |
|---|---|---|
| Reputation | String |
| Host id | Number |
| Host ip | String |
| Zone details | String |
| Country | String |
| Time | String |
Example
Request
Response
{
"topHostsOnNetwork":[{
"reputation":"Unverified","hostIp":"11.11.10.60",
"hostId":4480240188,"zone":"Default Outside Zone",
"country":"United States","time":"2013-08-27 16:30:24"}]
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 4301 | Invalid duration |
2 | 400 | 4302 | Invalid time format |
3 | 400 | 4303 | Start time is greater than end time |
4 | 400 | 4304 | Invalid date format |
5 | 400 | 4305 | Start/End date is not provided |
6 | 400 | 4306 | Invalid NTBA id |